Changing Family doc paramater - should this be impossible?

I have been building a simple code to create a new family with a custom extrusion shape and a “hole” in it based on another extrusion shape.
(Here is how I got there: Programmatically creating Revit family and NewExtrusion)

I had all sorts of issues trying to make the hole withing the first family created. Simply adding another curve array to the NewExtrude threw errors, adding another NewExtrude as a Void one and cutting with InstanceVoidCutUtils.AddInstanceVoidCut also threw errors - So I decided to make two families of those simple extrusions and cut one with another. For this the void family had to have cut-with-void-when-loaded parameter as True in Family Doc. I found multiple ways to get this parameter. And setting it went smoothly but did not actually change the parameter from False to True. Only way I found that actually worked was this below:

But this requires making a template file with a trick. By changing the extension of an empty family file with that property as True.

This leads me to the question. Is it really impossible to set this parameter programmatically?

PS.
For those interested how I got the hole to be cut eventually:

counter_top_family = create_custom_extrusion_family(state, counter_top_boundary, counter_top_thickness, True)
sink_cutting_family = create_custom_extrusion_family(state, sink_boundary, counter_top_thickness, False)
counter_top_family_symbol = doc.GetElement(next(iter(counter_top_family.GetFamilySymbolIds())))
sink_cutting_family_symbol = doc.GetElement(next(iter(sink_cutting_family.GetFamilySymbolIds())))
t = Transaction(doc, "Activate Family Symbols")
t.Start()
counter_top_family_symbol.Activate()
sink_cutting_family_symbol.Activate()
t.Commit()
t = Transaction(doc, "Create Family Instances")
t.Start()
counter_top_family_instance = doc.Create.NewFamilyInstance(
  XYZ(0, 0, counter_top_level), 
  counter_top_family_symbol, 
  Structure.StructuralType.NonStructural)
sink_cutting_family_instance = doc.Create.NewFamilyInstance(
  XYZ(0, 0, counter_top_level), 
  sink_cutting_family_symbol, 
  Structure.StructuralType.NonStructural)
t.Commit()
t = Transaction(doc, "Regenerate")
t.Start()
doc.Regenerate()
t.Commit()
t = Transaction(doc, "Add Instance Void Cut")
t.Start()
InstanceVoidCutUtils.AddInstanceVoidCut(doc, counter_top_family_instance, sink_cutting_family_instance)
t.Commit()

Transactions are expensive. Try to reduce the number.
You should be able to use your first approach. (But I’d have to clean up the code a lot to demo. Maybe post that attempt.)